## showkeys 0.1mx17+1

=== Makefile ===
showkeys: showkeys.c showkeys.h keystack.o
	gcc -g -Wall showkeys.c keystack.o -o showkeys -lX11 -lxosd -lpthread -lXext -lX11 -lXinerama -lXtst


keystack.o: keystack.c keystack.h
	gcc -c -g keystack.c

clean:
	rm -f showkeys keystack.o record-attempt record-example

check-syntax:
	gcc -Wall -o nul -S ${CHK_SOURCES}

record-attempt: record-attempt.c
	gcc -g -Wall record-attempt.c -L/usr/lib -lXtst -lxosd -lpthread -lXext -lX11 -lXinerama -o record-attempt

record-example: record-example.c
	gcc -g -Wall record-example.c -L/usr/lib -lXtst -lxosd -lpthread -lXext -lX11 -lXinerama -o record-example

=== debian/changelog ===
showkeys (0.1mx17+1) mx; urgency=medium

  * Add missing dependency

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 21 Apr 2018 09:06:17 -0400

showkeys (0.1mx17) mx; urgency=medium

  * Initial packaging

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 02 Mar 2018 18:58:31 -0500

=== debian/control ===
Source: showkeys
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Section: utility
Priority: optional
Build-Depends: debhelper, libx11-dev, libxosd-dev, libxtst-dev
Standards-Version: 4.1.0

Package: showkeys
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Simple program to display keypresses on the screen.
